#
# spec file for package python-sqlite-fts4
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-sqlite-fts4
Version:        1.0.3
Release:        2.1
Summary:        Python functions for working with SQLite FTS4 search
License:        Apache-2.0
URL:            https://github.com/simonw/sqlite-fts4
Source:         https://github.com/simonw/sqlite-fts4/archive/%{version}.tar.gz#/sqlite-fts4-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  %{pythons}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Python functions for working with SQLite FTS4 search

%prep
%setup -q -n sqlite-fts4-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%doc README.md
%{python_sitelib}/sqlite_fts4
%{python_sitelib}/sqlite_fts4-%{version}*-info

%changelog
* Fri Jun 13 2025 Markéta Machová <mmachova@suse.com>
- Convert to pip-based build
* Fri Sep 16 2022 Sarah Kriesch <sarah.kriesch@opensuse.org>
- Update to 1.0.3
  * Fix for compatibility with big-endian systems. #6
* Wed Feb 17 2021 andy great <andythe_great@pm.me>
- Initial package release, 1.0.1.
- Skip python2 because python 2 don't support encoding="utf8" in
  setup.py
